## org.eclipse.amp.agf
Interface IGraphicsAdapter

All Superinterfaces:
  org.eclipse.core.runtime.IAdapterFactory

All Known Implementing Classes:
  AscapeGraphicsAdapter, GraphicsAdapter

    public interface IGraphicsAdapter

extends org.eclipse.core.runtime.IAdapterFactory

A marker interface indicating that an object will serve as the provider for any model features, such as Composition Providers, Label Providers, and so no. Of course, implementors may choose to delegate any of this functionality. A model (IModel instance) can implement this interface directly, in which case any customization will use the features provided by it. Alternatively, a model can implement IAdaptable on IGraphicsAdapter and return an instance of this adapter. Implementors should (and AMP implementations do) find providers for a given model in the following order: 1. Check whether the model itself implements IGraphicsAdapter. If not, 2. Attempt to adapt the model directly, i.e. by checking for implementation of IAdaptable and then looking for this marker interface. 3. Look for a generic adapter registered through the platform for the provided model on this interface.

Author:
  mparker
See Also:
  `IModel`, `IAdaptable`

Method Summary
`org.eclipse.jface.viewers.IColorProvider[]` `getColors(java.lang.Object object)`
`org.eclipse.jface.viewers.IColorProvider[]` `getColorsForClass(java.lang.Class object)`
`IFigureProvider[]` `getFigures(java.lang.Object object)`
`IFigureProvider[]` `getFiguresForClass(java.lang.Class object)`
`org.eclipse.jface.viewers.ILabelProvider[]` `getLabels(java.lang.Object object)`
`org.eclipse.jface.viewers.ILabelProvider[]` `getLabelsForClass(java.lang.Class object)`

Methods inherited from interface org.eclipse.core.runtime.IAdapterFactory
`getAdapter, getAdapterList`

Method Detail

### getFigures

    IFigureProvider[] getFigures(java.lang.Object object)

### getColors

    org.eclipse.jface.viewers.IColorProvider[] getColors(java.lang.Object object)

### getLabels

    org.eclipse.jface.viewers.ILabelProvider[] getLabels(java.lang.Object object)

### getFiguresForClass

    IFigureProvider[] getFiguresForClass(java.lang.Class object)

### getColorsForClass

    org.eclipse.jface.viewers.IColorProvider[] getColorsForClass(java.lang.Class object)

### getLabelsForClass

    org.eclipse.jface.viewers.ILabelProvider[] getLabelsForClass(java.lang.Class object)